| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DImgPreviewItem Class Reference
Inheritance diagram for Digikam::DImgPreviewItem:

## Public Types
enum | State { NoImage , Loading , ImageLoaded , ImageLoadingFailed }

## Signals
void | loaded ()
void | loadingFailed ()
void | signalLoadingComplete ()
void | signalLoadingProgress (float progress)
void | signalStartedLoading ()
| For the progress bar on the top level.
void | stateChanged (int state)
Signals inherited from Digikam::GraphicsDImgItem
void | imageChanged ()
void | imageSizeChanged (const QSizeF &size)
void | showContextMenu (QGraphicsSceneContextMenuEvent *e)

## Public Member Functions
| DImgPreviewItem (QGraphicsItem *const parent=nullptr)
bool | isLoaded () const
QString | path () const
void | reload ()
void | setDisplayingWidget (QWidget *const widget)
void | setPath (const QString &path, bool rePreview=false)
void | setPreloadPaths (const QStringList &pathsToPreload)
void | setPreviewSettings (const PreviewSettings &settings)
State | state () const
QString | userLoadingHint () const override
Public Member Functions inherited from Digikam::GraphicsDImgItem
| GraphicsDImgItem (QGraphicsItem *const parent=nullptr)
QRectF | boundingRect () const override
void | clearCache ()
DImg | image () const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override
void | setDisplayWidget (QWidget *const widget)
void | setEnableOverExposure (bool b)
void | setEnableUnderExposure (bool b)
void | setImage (const DImg &img)
| Sets the DImg to be drawn by this item.
void | sizeHasChanged ()
ImageZoomSettings * | zoomSettings ()
const ImageZoomSettings * | zoomSettings () const

## Protected Member Functions
| DImgPreviewItem (DImgPreviewItemPrivate &dd, QGraphicsItem *const parent=nullptr)
Protected Member Functions inherited from Digikam::GraphicsDImgItem
| GraphicsDImgItem (GraphicsDImgItemPrivate &dd, QGraphicsItem *const parent)
void | contextMenuEvent (QGraphicsSceneContextMenuEvent *e) override

## Additional Inherited Members
Protected Attributes inherited from Digikam::GraphicsDImgItem
GraphicsDImgItemPrivate *const | d_ptr

## Member Function Documentation

## ◆ userLoadingHint()

QString Digikam::DImgPreviewItem::userLoadingHint | ( |  | ) | const
| override virtual

Reimplemented from Digikam::GraphicsDImgItem.